Bug 251678 - net/onedrive: update to 2.4.8
Summary: net/onedrive: update to 2.4.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-12-08 03:45 UTC by Hiroo Ono
Modified: 2021-01-18 07:46 UTC (History)
1 user (show)

See Also:


Attachments
update patch (2.07 KB, patch)
2020-12-08 03:45 UTC, Hiroo Ono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2020-12-08 03:45:19 UTC
Created attachment 220363 [details]
update patch

changelog is as follows:

## 2.4.8 - 2020-11-30
### Fixed
*   Fix to use config set option for 'remove_source_files' and 'skip_dir_strict_match' rather than ignore if set
*   Fix download failure and crash due to incorrect local filesystem permissions when using mounted external devices
*   Fix to not change permissions on pre-existing local directories
*   Fix logging output when authentication authorisation fails to not say authorisation was successful
*   Fix to check application_id before setting redirect URL when using specific Azure endpoints
*   Fix application crash in --monitor mode due to 'Failed to stat file' when setgid is used on a directory and data cannot be read

### Added
*   Added advanced-usage.md to document advaced client usage such as multi account configurations and Windows dual-boot

### Updated
*   Updated --verbose logging output for config options when set
*   Updated documentation (man page, USAGE.md, Office365.md, BusinessSharedFolders.md)
Comment 1 Automation User 2020-12-09 04:46:36 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/226578493
Comment 2 commit-hook freebsd_committer 2021-01-18 07:40:48 UTC
A commit references this bug:

Author: meta
Date: Mon Jan 18 07:40:38 UTC 2021
New revision: 561898
URL: https://svnweb.freebsd.org/changeset/ports/561898

Log:
  net/onedrive: Update to 2.4.8

  PR:		251678
  Submitted by:	Hiroo Ono <hiroo.ono+freebsd@gmail.com> (maintainer)

Changes:
  head/net/onedrive/Makefile
  head/net/onedrive/distinfo
  head/net/onedrive/files/patch-Makefile.in
Comment 3 Koichiro Iwao freebsd_committer 2021-01-18 07:46:02 UTC
Committed, thanks!